shape = 'NR0.off';
hks_file = 'NR0.mat';

[vertex, faces] = read_off(shape);
A = load(hks_file);

for j = 1:size(A.hks, 1)
   A.hks(j,:) = A.hks(j,:)/norm(A.hks(j,:));
end

[c,w, index] = adaptiveClustering(A.hks, 0.15, 0.3, 10, 10, 1);
options.face_vertex_color = index;
plot_mesh(vertex, faces, options), shading interp, colormap jet(256);